/*
   Use Task Manager to watch the number of threads this program has as it executes.
*/
#include <stdio.h>
#include <windows.h>

int main(int argc, char** argv)
{
   Sleep( 10000 ); // 10 seconds

   #pragma omp parallel num_threads(4)
   {
      printf("OpenMP parallel hello.\n");
      Sleep( 10000 ); // 10 seconds
   }

   printf("OpenMP serial hello.\n");
   Sleep( 10000 ); // 10 seconds

   return 0;
}