/*

*/
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

int main(int argc, char** argv)
{
   int n = atoi(argv[1]);  // determine the number of threads at run time
   int sleepTime;

   #pragma omp parallel num_threads(n) private(sleepTime)
   {
      srand((int)&sleepTime);
      printf("OpenMP parallel hello.\n");
      sleepTime = rand() % 10;
      Sleep(sleepTime * 1000);
      printf("done\n");
   }

   printf("OpenMP serial hello.\n");

   return 0;
}